; Demonstracny program pre ovladanie LED diody a BZUCIAKA na vyvojovej doske
; ADuC836EVB
;
; Nazov podprogramu: BLIKAC (asm - simulator)
;
; Opis:
;
; Po definovanom oneskoreni sa meni logicka uroven na vyvodoch
; T0 a T1. Program je realizovany v nekonecnej slucke
;
; Program nici: r5, r6, r7
;
; Autor:        M.Drutarovsky, TU Kosice
; Date:         15.10.2003
; Verzia:       0.11
; Poslena oprava: 24.10.2003 M.D.


        #include "reg51.inc" ; hlavickovy subor s defiiciami SFR a SBIT

        org 8000h         ; zaciatok programu
        jmp start

        org 8040h         ; posun za oblast vektorov prerusenia

start:  cpl p3.4          ; negovanie P3.4 (LED je na vyvode T0)
        cpl t1            ; negovanie T1 (BZCIAK - pozri schemu EVB)

        call wait         ; volanie podprogramu oneskorenia

start1: jmp start         ; nekonecna slucka

wait:   mov r7,#2         ; oneskorovacie slucky
w1:     mov r6,#50
w2:     mov r5,#0
w3:     djnz r5,w3
        djnz r6,w2
        djnz r7,w1
        ret

        end